package test.methodTimingTest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;


/**
 * Test object for timing
 */
@ApplyMethodTiming(ComponentType.TEST)
public class TimedObject {

    private static Log logger = LogFactory.getLog(TimedObject.class);
    
    public void takesNoTime() {
        logger.fatal("takesNoTime");
    }
    
    @ApplyMethodTiming(ComponentType.TEST)
    public void worksIfAnnotated() {
        logger.fatal("annotated");
    }

}
